antillestores/document

This package is not installable via Composer 1.x, please make sure you upgrade to Composer 2+. Read more about our Composer 1.x deprecation policy.

Document package for litecms.

Installs: 8

Dependents: 0

Suggesters: 0

Security: 0

Stars: 0

Watchers: 1

Forks: 0

Open Issues: 0

Language:HTML

Type:lavalite-package

dev-master 2018-11-11 02:17 UTC

This package is auto-updated.

Last update: 2021-10-11 08:50:18 UTC


README

Lavalite package that provides document management facility for the cms.

Installation

Begin by installing this package through Composer. Edit your project's composer.json file to require litecms/document.

"litecms/document": "dev-master"

Next, update Composer from the Terminal:

composer update

Once this operation completes execute below cammnds in command line to finalize installation.

Litecms\Document\Providers\DocumentServiceProvider::class,

And also add it to alias

'Document'  => Litecms\Document\Facades\Document::class,

Publishing files and migraiting database.

Migration and seeds

php artisan migrate
php artisan db:seed --class=Litecms\\DocumentTableSeeder

Publishing configuration

php artisan vendor:publish --provider="Litecms\Document\Providers\DocumentServiceProvider" --tag="config"

Publishing language

php artisan vendor:publish --provider="Litecms\Document\Providers\DocumentServiceProvider" --tag="lang"

Publishing views

php artisan vendor:publish --provider="Litecms\Document\Providers\DocumentServiceProvider" --tag="view"

Usage